import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: resistorcolorbands
    anchors.horizontalCenter: parent.horizontalCenter
    anchors.verticalCenter:parent.verticalCenter
    width: parent.width/3.5
    height: parent.height/2
    
    //color: "white" 
    color: "transparent"

    property int customHeight:height/3;
    property int spacing:width/7;
    
    signal clicked()
    
    property alias firstBandColor:firstBand.color
    property alias secondBandColor:secondBand.color
    property alias thirdBandColor:thirdBand.color
    property alias multiplyBandColor:multiplyBand.color
    property alias toleranceBandColor:toleranceBand.color
    
    property int band1value:0
    property int band2value:0
    property int band3value:0
    property int band4value:0
    property int band5value:0
    property int band6value:0
    
    property alias fourBands:thirdBand.visible
    property alias multiplyBandPos:multiplyBand.x
    property string zeros:''
    property string character:'';
    property int startOffset:0;
    
    Button {
        id: firstBand
        x:1*spacing
        width:units.gu(1)
        height:parent.height
        color: 'black'
    }
    
    Button {
        id: secondBand
        x:2*spacing
        width:units.gu(1)
        height:parent.height
    }
    
    Button {
        id: thirdBand
        x:3*spacing
        width:units.gu(1)
        height:parent.height
        color: 'black'
        visible:false
    }
    
    Button {
        id: multiplyBand
        x:3*spacing
        width:units.gu(1)
        height:parent.height
        color: 'black'
    }
    
    Button {
        id: toleranceBand
        x:6*spacing
        width:units.gu(1)
        height:parent.height
        color: 'black'
    }
 
    MouseArea {
        id: buttonMA
        anchors.fill: parent
        onClicked: resistorcolorbands.clicked()
    } 
    
    
    function band(num){
      if (num==3){
        multiplyBand.x=3*spacing;
      }else{
        multiplyBand.x=4*spacing;
      }
    }

	
    function multiplyer(){
        zeros='1';
        character='';
        startOffset=0;

        if (fourBands==true){
          for (var i=startOffset;i<band4value;i++){
            zeros = zeros+'0';
          }
        }else{
          for (var i=0;i<band3value;i++){
            zeros = zeros+'0';
          }

        }
        return parseInt(zeros);
    }

    function calculate(){
      if (fourBands==false){
        multiplyBand.x=3*spacing;    
        return  (parseInt(''+band1value+''+band2value))*(multiplyer());
      }else{
        multiplyBand.x=4*spacing; 
        return (parseInt(''+band1value+''+band2value+''+band3value))*(multiplyer());
      }
    }

}
